Show / Hide Table of Contents

# Struct HousingManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Housing

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct HousingManager

### Fields

| Improve this Doc View Source

#### CurrentTerritory

##### Declaration

    public HousingTerritory*CurrentTerritory

##### Field Value

Type | Description
--- | ---
HousingTerritory* |

| Improve this Doc View Source

#### IndoorTerritory

##### Declaration

    public HousingTerritory*IndoorTerritory

##### Field Value

Type | Description
--- | ---
HousingTerritory* |

| Improve this Doc View Source

#### OutdoorTerritory

##### Declaration

    public HousingTerritory*OutdoorTerritory

##### Field Value

Type | Description
--- | ---
HousingTerritory* |

| Improve this Doc View Source

#### WorkshopTerritory

##### Declaration

    public HousingTerritory*WorkshopTerritory

##### Field Value

Type | Description
--- | ---
HousingTerritory* |

### Methods

| Improve this Doc View Source

#### GetBrightness()

##### Declaration

    public byte GetBrightness()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HasHousePermissions()

##### Declaration

    public bool HasHousePermissions()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static HousingManager*Instance()

##### Returns

Type | Description
--- | ---
HousingManager* |

| Improve this Doc View Source

#### IsInside()

##### Declaration

    public bool IsInside()

##### Returns

Type | Description
--- | ---
System.Boolean |